cURL
curl --request GET \
--url https://api.loyaltylion.com/v2/identity/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.loyaltylion.com/v2/identity/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyaltylion.com/v2/identity/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identity": {
"kind": "api_key",
"account_id": 1,
"program_id": 2,
"scopes": [
"read_customers",
"read_orders"
],
"integration": null
}
}{
"error": {
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"details": {}
}
}Identity
Who Am I
GET
/
v2
/
identity
/
whoami
cURL
Check your API caller identity with the LoyaltyLion API. This will return an
identity object with details about the authenticating API method and its
associated permissions.
If your API authentication is invalid, this endpoint will return a 401 response.Authorizations
ProgramApiKeySiteTokenSecret
An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a Bearer token in the Authorization header
Response
200
- API key
- OAuth client
- Site token & secret
Show child attributes
Show child attributes
Example:
{
"kind": "api_key",
"account_id": 1,
"program_id": 2,
"scopes": ["read_customers", "read_orders"],
"integration": null
}
⌘I